Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UNI_SR_flags Struct Reference

Status register flags. More...

`#include <uniprot.h>`

## Data Fields
uint16_t | TX_EN:1
| When 1 then low level driver can begin transmission. More...
uint16_t | REINIT:1
| When USB is connected to the host, this flag is set and all layers that use UNIPROT should do initialization routine again. It is because of user which can disconnect device at any time and if device use battery MCU do not perform restart itself. After all re-initialize all necessary functions this FLAG MUST be CLEARED HIGHER LAYER! More...
uint16_t | ERROR_CHAR_RX_OVERFLOW:1
| When second side send UNI_CHAR_RX_OVERFLOW, message must be shorted. This flag signal higher layer, that buffer on the second side have not enough memory to save all data (payload). More...
uint16_t | ERROR_RX_BUFFER_OVERFLOW:1
| When number of data Bytes is higher then configured, then this flag is set and all data will be lost. Back will be send UNI_CHAR_RX_OVERFLOW. More...
uint16_t | DATA_IN_TX_BUFFER_READY:1
| If data in TX buffer are ready -> user must set this flag. More...
uint16_t | ERROR_TX_NOT_CONFIGURED:1
| This flag is set when TX pipe is not configured. More...
uint16_t | ERROR_RX_NOT_CONFIGURED:1
| This flag is set when RX pipe is not configured. More...
uint16_t | ERROR_RX_NACK:1
| When to receiver comes NACK, then this event is registered to this flag, so transmitter will know, that should send data from begin from now. More...
uint16_t | SENDING_ACK:1
| This flag is set, when device successfully receive data, but still must send ACK to host to confirm received data. More...
uint16_t | ERROR_HEADER_RX:1
| Define position of header error flag for RX stream in i_uni_status_reg. More...
uint16_t | ERROR_CRC_RX:1
| Define position of CRC error flag for RX stream in i_uni_status. More...
uint16_t | ERROR_TAIL_RX:1
| Define position of tail error flag for RX stream in i_uni_status. More...
uint16_t | ERROR_GENERAL_RX:1
| Define position of general error (for debug - never should happen) flag for RX stream in i_uni_status *. More...
uint16_t | ERROR_GENERAL_TX:1
| Define position of general error (for debug - never should happen) flag for TX stream in i_uni_status *. More...
uint16_t | RX_DONE:1
| Flag data receive is done. More...
uint16_t | TX_DONE:1
| Flag data transmission is done. More...

## Detailed Description

Status register flags.

## Field Documentation

uint16_t UNI_SR_flags::DATA_IN_TX_BUFFER_READY

If data in TX buffer are ready -> user must set this flag.

uint16_t UNI_SR_flags::ERROR_CHAR_RX_OVERFLOW

When second side send UNI_CHAR_RX_OVERFLOW, message must be shorted.
This flag signal higher layer, that buffer on the second side have not
enough memory to save all data (payload).

uint16_t UNI_SR_flags::ERROR_CRC_RX

Define position of CRC error flag for RX stream in i_uni_status.

uint16_t UNI_SR_flags::ERROR_GENERAL_RX

Define position of general error (for debug - never should happen) flag for RX stream in i_uni_status *.

uint16_t UNI_SR_flags::ERROR_GENERAL_TX

Define position of general error (for debug - never should happen) flag for TX stream in i_uni_status *.

uint16_t UNI_SR_flags::ERROR_HEADER_RX

Define position of header error flag for RX stream in i_uni_status_reg.

uint16_t UNI_SR_flags::ERROR_RX_BUFFER_OVERFLOW

When number of data Bytes is higher then configured, then this flag
is set and all data will be lost. Back will be send UNI_CHAR_RX_OVERFLOW.

uint16_t UNI_SR_flags::ERROR_RX_NACK

When to receiver comes NACK, then this event is registered to this
flag, so transmitter will know, that should send data from begin from now.

uint16_t UNI_SR_flags::ERROR_RX_NOT_CONFIGURED

This flag is set when RX pipe is not configured.

uint16_t UNI_SR_flags::ERROR_TAIL_RX

Define position of tail error flag for RX stream in i_uni_status.

uint16_t UNI_SR_flags::ERROR_TX_NOT_CONFIGURED

This flag is set when TX pipe is not configured.

uint16_t UNI_SR_flags::REINIT

When USB is connected to the host, this flag is set and all layers
that use UNIPROT should do initialization routine again. It is because of
user which can disconnect device at any time and if device use battery MCU
do not perform restart itself. After all re-initialize all necessary
functions this FLAG MUST be CLEARED HIGHER LAYER!

uint16_t UNI_SR_flags::RX_DONE

Flag data receive is done.

uint16_t UNI_SR_flags::SENDING_ACK

This flag is set, when device successfully receive data, but still
must send ACK to host to confirm received data.

uint16_t UNI_SR_flags::TX_DONE

Flag data transmission is done.

uint16_t UNI_SR_flags::TX_EN

When 1 then low level driver can begin transmission.

This flag is set and cleared by uniprot.

The documentation for this struct was generated from the following file:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/uniprot.h